﻿using System.Diagnostics;
using Gep.Api.Demo;
using Gep.Api.Util;

namespace Gep.Api
{
    class Program
    {
        static void Main(string[] args)
        {
            System.Console.WriteLine("========================== Testing start =================================");
            Stopwatch stopwatch = Stopwatch.StartNew();
            //////////////////////客户入网API
            //Agent.UploadFile();
            //Agent.CreateUser();
            //Agent.CertificationAdd();
            //Agent.CertificationEdit();
            //Agent.CertificationDetail();
            Agent.CertificationPage();
            
            //////////////////////兑换分发API
            Exchange.UploadFile();
            Exchange.QueryUserBalanceAccount();

            //Test1();
            stopwatch.Stop();
            // 显示执行时间
            TimeSpan elapsedTime = stopwatch.Elapsed;
            System.Console.WriteLine($"Execution time: {elapsedTime.TotalMilliseconds}ms");
            System.Console.WriteLine("========================== Testing  end  =================================");

        }

        private static void Test1() {
            string path = "/api/agent/rate/query-rate";
            Dictionary<string, string> dataContent = new Dictionary<string, string>();
            dataContent.Add("originalCcy", "CNH");
            dataContent.Add("targetCcy", "USD");
            dataContent.Add("bizType", "6");
            dataContent.Add("closingType", "TOD");
            dataContent.Add("userNo", "5181240322000274308");
            ApiRequest.AgentPost(path, dataContent);
        }


    }
}